# Во имя Бога Милостивого, Милосердного!!!
# language: ru
Функциональность: Преобразование в C++: инклюды

  Сценарий: Инклюд неизвестный - пропускается
    * Исходник:
```
package test
import "github.com/davecgh/go-spew/spew"
func Setup() {}
func Loop() {}
```
    * Результат:
```
void setup();
void loop();
void setup() {}
void loop() {}
```

  Сценарий: Инклюд из таблицы
    * Исходник:
```
package test
import wifi "github.com/andygeiss/esp32/api/controller/wifi"
var client wifi.Client
func Setup() {}
func Loop() {
  serial.Print("Connecting to ")
  serial.Println(host)
  serial.Print(" ...")
  if (client.Connect(host, 443) == true) {
    serial.Println(" Connected!")
  } else {
    serial.Println(" Failed!")
  }
}
```
    * Результат:
```
#include <WiFi.h>
void setup();
void loop();
WiFiClient client;
void setup() {}
void loop() {
Serial.print("Connecting to ");
Serial.println(host);
Serial.print(" ...");
if (client.connect(host,443)==true) {
 Serial.println(" Connected!");
 } else {
 Serial.println(" Failed!");
 }
}
```
